Atom feed of this document
 
 
 

 3.3. Resize Server

Verb URI Description
POST /servers/id/action Resizes the specified server.

Normal Response Code: 202

Error Response Codes: cloudServersFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), badMediaType(415), itemNotFound (404), buildInProgress (409), serverCapacityUnavailable (503), overLimit (413), resizeNotAllowed (403)

Status Transition: ACTIVE QUEUE_RESIZE PREP_RESIZE RESIZE VERIFY_RESIZE
ACTIVE QUEUE_RESIZE ACTIVE (on error)

The resize operation converts an existing server to a different flavor, in essence, scaling the server up or down. The original server is saved for a period of time to allow rollback if there is a problem. All resizes should be tested and explicitly confirmed, at which time the original server is removed. All resizes are automatically confirmed after 24 hours if they are not explicitly confirmed or reverted.

This operation does not return a response body.

 

Example 3.25. Resize Server: JSON Request

{
    "resize" : {
        "flavorId" : 3
    }
}

 

Example 3.26. Resize Server: XML Request

<?xml version="1.0" encoding="UTF-8"?>
<resize xmlns="http://docs.rackspacecloud.com/servers/api/v1.0" 
	flavorId="3"/>